Skip to main content

RealFlight Homepage

Can I upgrade to RF-X?

If you currently own RealFlight G3.x, G4.x, G5.x, 6.x, or 7.x, you can purchase/use the RF-X Software Only Version.

Please note: The system requirements for RF-X are significantly higher than for any previous version of RealFlight. It is strongly recommended you make a thorough review of your computer before purchasing/installing RF-X.

Return to Article List